2 Replies Latest reply on Nov 22, 2012 12:45 PM by Bernd Eckenfels

    Bumping slf4j version?

    Bernd Eckenfels Novice

      Hello,

       

      I noticed that AS7 7.1.1-final ships with a slf4j 1.6.1 module. There are some bugfix upgrades in the 1.6.x branch, so I wonder if you would consider bumping this version - at least for the 7.2 or next.

       

      I do know that this version is pretty independend from deployed bundles, deployments or modules but it would be good to have a on-default current environemnt. With that in mind, the 1.7.x is supposed to be API compatible but adds the additional compile feature for variable argument lists. So I would like to see a 1.7.x slf4j-api dependency in the modules especially since it makes less dependency differences for users wanting to compile explicitely for AS7 environemnt.